Ported from NewGamePlus by Kek | Kekasi & fixed from kmichailg port to Definitive Edition

- for Definitive Edition
- Compatible with Alternate Start
- Highly Configurable

### [Read the wiki for Config Info](https://outward.thunderstore.io/package/potatiums/NewGamePlus/wiki/298-config-info/)

-----------------------------------------------------

### Original Description
Credit to Sinai for his tools, IggyTheMad for the icon, and everyone in the Outward Modding Discord for their help.

This mod allows you to reset your character, like most New Game Plus systems.
When you select a Legacy Character, your new character will also gain all the Skills, Recipes, and Equipment of the selected Legacy Character.
To make things easy, your character creation options will be auto-filled to match your Legacy Character.
In addition, by triggering New Game Plus, your character will gain a "Stretched Thin" Debuff, which will make you deal less and take more damage.
This will stack up with every New Game Plus, but it's effects can be mitigated with skills and buffs, so prepare carefully.

Features of New Game Plus:
- Breakthrough Points are set to 3, and all previous Breakthrough Skills are kept
- All Skills from your Legacy Character are transferred and are crossed out on the Skill Tree Menus
- These skills no longer block other skills, so you can finally get both Infuse Fire and Infuse Frost
- Players of different NG+ Levels can play together!
- You can rescue your Exalted Character and get another chance.
> Note: By default, Exalted is removed, but you can turn that off and see how far you can go.

How to use:
1. Select New Game
2. Select your Legacy
3. The Name and Character Creation Options will be auto-filled based on the Legacy
4. These Options can be changed, and are only there to provide an easy way to recreate your character, if you can't remember exactly what they look like.
5. Select Create
6. Your Character will be created as normal, and put in the starting area, but will now have the Legacy Character's Skills, Recipes, and Equipment, and will gain a Stack of "Stretched Thin".

Options:
- Disable Legacy Character Creation - Return Character Creation to the vanilla method. No skill or equipment transfer.
- Delete Keys - By Default, Keys will not be transferred as they act as psuedo quest items. This can be turned off in the Shared Config Menu.
-  Transfer Exalted - By Default, the Exalted Skill is removed on Legacy Creation. This can be disabled, but a new Character will gain Exalted AND Life Drain.
> WARNING: If you decide to Transfer Exalted & Life Drain, they will be transferred with their current state. This may shorten your gameplay.

--------------------------------------------------------

------------CHANGELOG--------------

#### v1.2.0 - Config Manager Tweaks and QOL Additions
#### 
#### WARNING: This update changes all NewGamePlus configs, so you will have to readjust their values to your liking
#### 
New features:
#### 
- LIMITERS (Limits different Transfers by %)
(main limiters - Money | Skills | Equipped | Pouch | Bag | Stash)
(type limiters - Food | Melee1Handed | Melee2Handed | Ranged | Ammo | Bags | Others)
#### 
- Blacklist Items and Skills by Name
#### 
#### 
#### v1.1.0 - MORE Customization:
Finished WIP Config (Transfer from Backpack)
Added:
#### 
- Config to easily change Debuff icon 
- Max Money (maximum allowed in legacy transfer)
- Money Target (pouch | backpack | stash)
- Blacklist Items (set by ID | Default: All Faction-Exclusive Items)
- Blacklist Skills (set by ID | Default: All Faction-Exclusive Skills)
#### 
#### 
#### v1.0.2 - Stretched Skin Debuff Config Fixes
#### 
#### 
#### v1.0.1 - Added Item & Skill Transfer Configs